package wenrgise.hrms.bean;

import java.io.Serializable;
import wenrgise.common.bean.BaseDetailBean;

public class HrmRoasterEntryDtlBean extends BaseDetailBean implements Serializable {
  private String txtRoasterPoint;
  
  private String txtCategoryAsPerRoaster;
  
  private String socialStatus;
  
  private String empNoId;
  
  private String txtEmployeeNo;
  
  private String txtEmployeeName;
  
  private String txtAppointmentDate;
  
  private String txtDob;
  
  private String txtCategory;
  
  private String txtCategoryId;
  
  private String entryMode;
  
  public String getTxtRoasterPoint() {
    return this.txtRoasterPoint;
  }
  
  public void setTxtRoasterPoint(String txtRoasterPoint) {
    this.txtRoasterPoint = txtRoasterPoint;
  }
  
  public String getTxtCategoryAsPerRoaster() {
    return this.txtCategoryAsPerRoaster;
  }
  
  public void setTxtCategoryAsPerRoaster(String txtCategoryAsPerRoaster) {
    this.txtCategoryAsPerRoaster = txtCategoryAsPerRoaster;
  }
  
  public String getSocialStatus() {
    return this.socialStatus;
  }
  
  public void setSocialStatus(String socialStatus) {
    this.socialStatus = socialStatus;
  }
  
  public String getEmpNoId() {
    return this.empNoId;
  }
  
  public void setEmpNoId(String empNoId) {
    this.empNoId = empNoId;
  }
  
  public String getTxtEmployeeNo() {
    return this.txtEmployeeNo;
  }
  
  public void setTxtEmployeeNo(String txtEmployeeNo) {
    this.txtEmployeeNo = txtEmployeeNo;
  }
  
  public String getTxtEmployeeName() {
    return this.txtEmployeeName;
  }
  
  public void setTxtEmployeeName(String txtEmployeeName) {
    this.txtEmployeeName = txtEmployeeName;
  }
  
  public String getTxtAppointmentDate() {
    return this.txtAppointmentDate;
  }
  
  public void setTxtAppointmentDate(String txtAppointmentDate) {
    this.txtAppointmentDate = txtAppointmentDate;
  }
  
  public String getTxtDob() {
    return this.txtDob;
  }
  
  public void setTxtDob(String txtDob) {
    this.txtDob = txtDob;
  }
  
  public String getTxtCategory() {
    return this.txtCategory;
  }
  
  public void setTxtCategory(String txtCategory) {
    this.txtCategory = txtCategory;
  }
  
  public String getTxtCategoryId() {
    return this.txtCategoryId;
  }
  
  public void setTxtCategoryId(String txtCategoryId) {
    this.txtCategoryId = txtCategoryId;
  }
  
  public String getEntryMode() {
    return this.entryMode;
  }
  
  public void setEntryMode(String entryMode) {
    this.entryMode = entryMode;
  }
}
